import { Directive, ElementRef, Input } from "@angular/core";
var HighlightJsDirective = (function () {
    function HighlightJsDirective(elementRef) {
        this.elementRef = elementRef;
    }
    HighlightJsDirective.prototype.ngOnInit = function () {
        this.codeEl = document.createElement('pre');
        if (this.lang) {
            this.codeEl.className = this.lang;
        }
        this.codeEl.innerHTML = '' + this.elementRef.nativeElement.innerHTML.trim();
        this.parentEl = this.elementRef.nativeElement.parentNode;
        this.parentEl.insertBefore(this.codeEl, this.elementRef.nativeElement.nextSibling);
        hljs.configure(Object.assign({}, this.options));
    };
    HighlightJsDirective.prototype.ngAfterViewChecked = function () {
        hljs.highlightBlock(this.codeEl);
    };
    HighlightJsDirective.prototype.ngOnDestroy = function () {
        if (this.codeEl) {
            this.parentEl.removeChild(this.codeEl);
            this.codeEl = null;
        }
    };
    return HighlightJsDirective;
}());
export { HighlightJsDirective };
HighlightJsDirective.decorators = [
    { type: Directive, args: [{
                selector: '[highlight-js]',
                host: {
                    'style': 'display:none;'
                }
            },] },
];
/** @nocollapse */
HighlightJsDirective.ctorParameters = function () { return [
    { type: ElementRef, },
]; };
HighlightJsDirective.propDecorators = {
    'options': [{ type: Input },],
    'lang': [{ type: Input },],
};
//# sourceMappingURL=highlight-js.directive.js.map